Get post-processing block config
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/post-processing/{postProcessingId} \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/post-processing/{postProcessingId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/post-processing/{postProcessingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"enabled": true,
"parameters": [
{
"name": "Scale axes",
"defaultValue": "<string>",
"type": "text",
"param": "scale-axes",
"readonly": true,
"shouldShow": true,
"required": true,
"showClickToSet": true,
"value": "<string>",
"help": "Divide axes by this number",
"selectOptions": [
{
"value": "<string>",
"selected": true,
"optionLabel": "<string>",
"priority": 123,
"romEstimate": 123,
"needsOps": [
"<string>"
],
"needsFeatures": [
"<string>"
]
}
],
"showIf": {
"parameter": "<string>",
"value": "<string>"
},
"invalidText": "<string>",
"multiline": true,
"hint": "<string>",
"placeholder": "<string>",
"valid": [
{}
],
"items": {},
"properties": {},
"minVal": 123,
"maxVal": 123
}
],
"error": "<string>"
}Get post-processing block config
Retrieve the configuration parameters for a post-processing block. Use the impulse functions to retrieve all post-processing blocks.
GET
/
api
/
{projectId}
/
post-processing
/
{postProcessingId}
Get post-processing block config
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Post-processing Block ID, use the impulse functions to retrieve the ID
Was this page helpful?
⌘I